import { Container } from './Container';
import { NameSelector } from './types';
export declare class InternalProvider<E> {
    private _container;
    constructor(container: Container<E>);
    get<T>(nameSelector: NameSelector<T, E>): unknown;
    protected getByString<T>(name: string): T;
    validate(): void;
}
