import { DependencyErrorType, DependencyMultiErrorType } from './types';
declare type ErrorProp<T, E> = {
    type: DependencyErrorType;
    lifetime: string;
};
export declare class DependencyError<T, E> extends Error {
    readonly type: DependencyErrorType;
    readonly lifetime: string;
    constructor({ type, lifetime }: ErrorProp<T, E>);
}
export declare class DependencyMultiError<T, E> extends Error {
    constructor(type: DependencyMultiErrorType, errors: DependencyError<any, any>[]);
}
export {};
